"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
function getActiveDefectSummaryItems(defects) {
    return _(defects).map(function (it) {
        return {
            defectId: it._id,
            activeAge: it.activeAge,
            severity: it.severity,
            componentId: it.componentId,
            componentName: it.componentName,
            componentType: it.componentType,
        };
    });
}
exports.getActiveDefectSummaryItems = getActiveDefectSummaryItems;
//# sourceMappingURL=getActiveDefectSummaryItems.js.map