"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
var defaultProgress_1 = require("../defaultObjects/defaultProgress");
var TaskConstant_1 = require("../constants/TaskConstant");
function getProgress(row) {
    var progress = defaultProgress_1.defaultProgress();
    if (_(TaskConstant_1.TaskConstant.ACTIVE_STATUS).contains(row.status)) {
        progress.total++;
    }
    else if (row.status === TaskConstant_1.TaskConstant.STATUS.COMPLETED) {
        progress.passed++;
        progress.total++;
    }
    return progress;
}
exports.getProgress = getProgress;
//# sourceMappingURL=getProgress.js.map