"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var referenceDate_1 = require("./referenceDate");
var moment = require("moment");
var momentBusiness = require("moment-business");
var _ = require("underscore");
exports.calculateScheduleDelayDays = function (schedule, status, dateToCompare) {
    if (schedule) {
        var refDate = referenceDate_1.referenceDate(schedule, status);
        if (_(refDate).isDate() && _(dateToCompare).isDate()) {
            return momentBusiness.weekDays(moment(refDate), moment(dateToCompare));
        }
    }
    return null;
};
//# sourceMappingURL=calculateScheduleDelayDays.js.map