"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
exports.delayColor = function (delayDays, delayTypes) {
    var color = null;
    if (delayTypes) {
        var ceil_1 = null;
        _.each(delayTypes, function (delayType) {
            if (delayType.maxDays === null || (delayType.maxDays >= delayDays && (!ceil_1 || delayType.maxDays < ceil_1))) {
                ceil_1 = delayType.maxDays;
                color = delayType.color;
            }
        });
    }
    return color;
};
//# sourceMappingURL=delayColor.js.map