"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var getDateTypeBySchedule_1 = require("./getDateTypeBySchedule");
var ScheduleConstant_1 = require("../constants/ScheduleConstant");
var Status_1 = require("../constants/Status");
function getDateTypeByScheduleAndStatus(scheduleDate, status) {
    var defaultType = getDateTypeBySchedule_1.getDateTypeBySchedule(scheduleDate);
    if (defaultType === ScheduleConstant_1.ScheduleConstant.PLANNED && status === Status_1.Status.PLANNED) {
        return ScheduleConstant_1.ScheduleConstant.PROJECTED;
    }
    else {
        return defaultType;
    }
}
exports.getDateTypeByScheduleAndStatus = getDateTypeByScheduleAndStatus;
//# sourceMappingURL=getDateTypeByScheduleAndStatus.js.map