import {ApprovalStatus} from "kaneoh-data-types/types/records/ApprovalRequestRecord";
import * as _ from "underscore";

export function isAllApproved(approvers: Array<ApprovalStatus>): boolean {
    return _.every(approvers, (approver) => approver.status === "approved");
}
