import {ApprovalStatus} from "kaneoh-data-types/types/records/ApprovalRequestRecord";
import * as _ from "underscore";

export function isUnderApproval(approvers: Array<ApprovalStatus>): boolean {
    return !!_.find(approvers, (approver) => {
        return approver.status === "waiting";
    });
}
