import {CommonConstant} from "./CommonConstant";

export class SourceType {
    public static PRODUCT = CommonConstant.CC.PRODUCT;
    public static PROJECT = CommonConstant.CC.PROJECT;
    public static FILE = CommonConstant.CC.FILE;
    public static ACTIVITY = CommonConstant.CC.ACTIVITY;
    public static TASK = CommonConstant.CC.TASK;
    public static DEFECT = CommonConstant.CC.DEFECT;
    public static REPORT = "report";
    public static APPROVAL_REQUEST = "approval request";
    public static NOTE = "note";
    public static USER = CommonConstant.CC.USER;
    public static CHAT = "chat";
    public static MILESTONE = "milestone";
    public static DOCUMENT = "document";
    public static BUILDING_BLOCK = "buildingBlock";
    public static FEATURE = "feature";

    // fake type
    public static PLC = "plc";
    public static CRITICAL_DEFECT = "criticalDefect";
    public static DASHBOARD = "dashboard";
    public static DASHBOARD_LATE = "dashboardLate";
    public static DASHBOARD_TODAY = "dashboardToday";
    public static DASHBOARD_WEEK = "dashboardWeek";
    public static DEFECT_SUMMARY = "defectSummary";

    // teamroom
    public static TEAMROOM_FILES = "teamroom_files";
    public static TEAMROOM_STAKEHOLDERS = "teamroom_stakeholders";
    public static TEAMROOM_REPORTS = "teamroom_reports";
    public static TEAMROOM_STREAM = "teamroom_stream";
    public static TEAMROOM_NOTES = "teamroom_notes";

    // teams
    public static TEAMS = "teams";
    public static USERS = CommonConstant.CN.USERS;

    // users
    public static ADD_USER = "addUser";
    public static REMOVE_USER = "removeUser";

    // userpage
    public static USERPAGE_STREAM = "userpage_stream";

    // notification
    public static NOTIFICATION_LIST = "notification_list";

    public static GLOBAL_MODAL = {
        KLISTCLICK: "klistclick",
        DEFECT:  SourceType.DEFECT,
        APPROVAL_REQUEST: SourceType.APPROVAL_REQUEST,
        SHARE: "share",
        TASK: SourceType.TASK,
        USER: SourceType.USER,
        FILE: SourceType.FILE,
    };

}
