import {PLCRow} from "kaneoh-data-types/types/dtos/PLCDto";
import {SchedulePreset} from "kaneoh-data-types/types/commons/SchedulePreset";

export function extendDuration(obj: PLCRow | SchedulePreset, duration: number, type?: string): void {
    if (type && obj.duration instanceof Object) {
        obj.duration[type] = duration;
    } else {
        obj.duration = duration;
    }
}
