import {ScheduleDate} from "kaneoh-data-types/types/commons/SchedulePreset";
import {getDateTypeBySchedule} from "./getDateTypeBySchedule";
import {ScheduleConstant} from "../constants/ScheduleConstant";
import {Status} from "../constants/Status";

export function getDateTypeByScheduleAndStatus(scheduleDate: ScheduleDate, status: string): string {
    const defaultType = getDateTypeBySchedule(scheduleDate);
    if (defaultType === ScheduleConstant.PLANNED && status === Status.PLANNED) {
        return ScheduleConstant.PROJECTED;
    } else {
        return defaultType;
    }
}
