import * as moment from "moment";

export function getDelayDays(date: Date): number {
    if (!date) {
        return 0;
    }

    const theDate = moment(date).endOf("day");
    const now = moment().endOf("day");
    return now.diff(theDate, "days");
}
