import {UserDto} from "kaneoh-data-types/types/dtos/UserDto";
import {UserRecord} from "kaneoh-data-types/types/records/UserRecord";
import {adminLevel} from "./adminLevel";
import {AdminLevel} from "../constants/AdminLevel";

export function isAdmin(user: UserDto | UserRecord): boolean {
    const level = adminLevel(user);
    return level <= AdminLevel.MAX && level >= AdminLevel.MIN;
}
