"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
function checkFieldExist(approvalRequest, fieldsNeedToApprove) {
    var modifyFields = _.pluck(fieldsNeedToApprove, "field");
    var existField = _.find(approvalRequest.differences, function (difference) {
        return _.contains(modifyFields, difference.field);
    });
    return !_.isUndefined(existField);
}
exports.checkFieldExist = checkFieldExist;
//# sourceMappingURL=checkFieldExist.js.map