"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isUnderApproval_1 = require("./isUnderApproval");
var ApprovalRequestStatus_1 = require("../constants/ApprovalRequestStatus");
var isAllApproved_1 = require("./isAllApproved");
function extendStatus(record) {
    var approvers = record.approvers;
    var canceled = record.immutable && isUnderApproval_1.isUnderApproval(approvers);
    record.status = canceled ? ApprovalRequestStatus_1.ApprovalRequestStatus.CANCEL : isUnderApproval_1.isUnderApproval(approvers) ?
        ApprovalRequestStatus_1.ApprovalRequestStatus.UNDER_APPROVAL : isAllApproved_1.isAllApproved(approvers) ?
        ApprovalRequestStatus_1.ApprovalRequestStatus.COMPLETED : ApprovalRequestStatus_1.ApprovalRequestStatus.CANCEL;
    return record;
}
exports.extendStatus = extendStatus;
//# sourceMappingURL=extendStatus.js.map