"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CommonConstant_1 = require("./CommonConstant");
var SourceType = /** @class */ (function () {
    function SourceType() {
    }
    SourceType.PRODUCT = CommonConstant_1.CommonConstant.CC.PRODUCT;
    SourceType.PROJECT = CommonConstant_1.CommonConstant.CC.PROJECT;
    SourceType.FILE = CommonConstant_1.CommonConstant.CC.FILE;
    SourceType.ACTIVITY = CommonConstant_1.CommonConstant.CC.ACTIVITY;
    SourceType.TASK = CommonConstant_1.CommonConstant.CC.TASK;
    SourceType.DEFECT = CommonConstant_1.CommonConstant.CC.DEFECT;
    SourceType.REPORT = "report";
    SourceType.APPROVAL_REQUEST = "approval request";
    SourceType.NOTE = "note";
    SourceType.USER = CommonConstant_1.CommonConstant.CC.USER;
    SourceType.CHAT = "chat";
    SourceType.MILESTONE = "milestone";
    SourceType.DOCUMENT = "document";
    SourceType.BUILDING_BLOCK = "buildingBlock";
    SourceType.FEATURE = "feature";
    // fake type
    SourceType.PLC = "plc";
    SourceType.CRITICAL_DEFECT = "criticalDefect";
    SourceType.DASHBOARD = "dashboard";
    SourceType.DASHBOARD_LATE = "dashboardLate";
    SourceType.DASHBOARD_TODAY = "dashboardToday";
    SourceType.DASHBOARD_WEEK = "dashboardWeek";
    SourceType.DEFECT_SUMMARY = "defectSummary";
    // teamroom
    SourceType.TEAMROOM_FILES = "teamroom_files";
    SourceType.TEAMROOM_STAKEHOLDERS = "teamroom_stakeholders";
    SourceType.TEAMROOM_REPORTS = "teamroom_reports";
    SourceType.TEAMROOM_STREAM = "teamroom_stream";
    SourceType.TEAMROOM_NOTES = "teamroom_notes";
    // teams
    SourceType.TEAMS = "teams";
    SourceType.USERS = CommonConstant_1.CommonConstant.CN.USERS;
    // users
    SourceType.ADD_USER = "addUser";
    SourceType.REMOVE_USER = "removeUser";
    // userpage
    SourceType.USERPAGE_STREAM = "userpage_stream";
    // notification
    SourceType.NOTIFICATION_LIST = "notification_list";
    SourceType.GLOBAL_MODAL = {
        KLISTCLICK: "klistclick",
        DEFECT: SourceType.DEFECT,
        APPROVAL_REQUEST: SourceType.APPROVAL_REQUEST,
        SHARE: "share",
        TASK: SourceType.TASK,
        USER: SourceType.USER,
        FILE: SourceType.FILE,
    };
    return SourceType;
}());
exports.SourceType = SourceType;
//# sourceMappingURL=SourceType.js.map