export declare class TaskConstant {
    static STATUS: {
        DRAFT: string;
        PLANNED: string;
        ON_GOING: string;
        CANCELED: string;
        COMPLETED: string;
    };
    static TYPE: {
        GENERAL: string;
        TEST_CASE: string;
    };
    static PRIORITY: {
        URGENT: string;
        HIGH: string;
        MEDIUM: string;
        LOW: string;
    };
    static TASK_GENERAL_STATUSES: string[];
    static AVAILABLE_STATUSES: {
        "draft": string[];
        "planned": string[];
        "on-going": string[];
        "completed": string[];
        "canceled": string[];
    };
    static ACTIVE_STATUS: string[];
    static mapFromTaskStatus(taskStatus: string): string | null;
    private static MAPPED_FROM;
}
