"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ = require("underscore");
var averageProgress_1 = require("./averageProgress");
var getProgress_1 = require("./getProgress");
function calculateProgress(row) {
    if (row.children.length > 0) {
        var progresses = _(row.children).map(calculateProgress);
        return averageProgress_1.averageProgress(progresses);
    }
    else {
        return getProgress_1.getProgress(row);
    }
}
exports.calculateProgress = calculateProgress;
//# sourceMappingURL=calculateProgress.js.map