"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ScheduleConstant_1 = require("../constants/ScheduleConstant");
var Status_1 = require("../constants/Status");
function getDurationTypeByStatus(status) {
    switch (status) {
        case Status_1.Status.DRAFT:
            return ScheduleConstant_1.ScheduleConstant.PLANNED;
        case Status_1.Status.PLANNED:
            return ScheduleConstant_1.ScheduleConstant.PROJECTED;
        case Status_1.Status.ON_GOING:
            ScheduleConstant_1.ScheduleConstant.PROJECTED;
        case Status_1.Status.COMPLETED:
            return ScheduleConstant_1.ScheduleConstant.ACTUAL;
        default:
            return;
    }
}
exports.getDurationTypeByStatus = getDurationTypeByStatus;
//# sourceMappingURL=getDurationTypeByStatus.js.map