"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var scheduleDateType_1 = require("./scheduleDateType");
var ScheduleConstant_1 = require("../constants/ScheduleConstant");
function scheduleDateValue(scheduleDate) {
    var type = scheduleDateType_1.scheduleDateType(scheduleDate);
    switch (type) {
        case ScheduleConstant_1.ScheduleConstant.ACTUAL:
            return scheduleDate.actual;
        case ScheduleConstant_1.ScheduleConstant.PROJECTED:
            return scheduleDate.projected;
        case ScheduleConstant_1.ScheduleConstant.PLANNED:
            return scheduleDate.planned;
        default:
            return null;
    }
}
exports.scheduleDateValue = scheduleDateValue;
//# sourceMappingURL=scheduleDateValue.js.map