"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ScheduleConstant_1 = require("../constants/ScheduleConstant");
var getDateTypeByStatus_1 = require("./getDateTypeByStatus");
function scheduleDateValueByStatus(scheduleDate, status, startOrEnd) {
    var type = getDateTypeByStatus_1.getDateTypeByStatus(status, startOrEnd);
    switch (type) {
        case ScheduleConstant_1.ScheduleConstant.ACTUAL:
            return scheduleDate.actual;
        case ScheduleConstant_1.ScheduleConstant.PROJECTED:
            return scheduleDate.projected;
        case ScheduleConstant_1.ScheduleConstant.PLANNED:
            return scheduleDate.planned;
        default:
            return null;
    }
}
exports.scheduleDateValueByStatus = scheduleDateValueByStatus;
//# sourceMappingURL=scheduleDateValueByStatus.js.map