"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ScheduleConstant_1 = require("../constants/ScheduleConstant");
var getDurationTypeByStatus_1 = require("./getDurationTypeByStatus");
function scheduleDurationValueByStatus(duration, status) {
    var type = getDurationTypeByStatus_1.getDurationTypeByStatus(status);
    if (!duration) {
        return null;
    }
    switch (type) {
        case ScheduleConstant_1.ScheduleConstant.ACTUAL:
            return duration.actual;
        case ScheduleConstant_1.ScheduleConstant.PROJECTED:
            return duration.projected;
        case ScheduleConstant_1.ScheduleConstant.PLANNED:
            return duration.planned;
        default:
            return null;
    }
}
exports.scheduleDurationValueByStatus = scheduleDurationValueByStatus;
//# sourceMappingURL=scheduleDurationValueByStatus.js.map