import {ApprovalRequestDifferences, ApprovalRequestRecord} from "kaneoh-data-types/types/records/ApprovalRequestRecord";
import * as _ from "underscore";

export function checkFieldExist(
    approvalRequest: ApprovalRequestRecord, fieldsNeedToApprove: ApprovalRequestDifferences
): boolean {
    const modifyFields = _.pluck(fieldsNeedToApprove, "field");

    const existField = _.find(approvalRequest.differences, (difference) => {
        return _.contains(modifyFields, difference.field);
    });

    return !_.isUndefined(existField);
}
