import {DefectConstant} from "../constants/DefectConstant";

export function convertToSeverity(priority: string): number {
    switch (priority) {
        case DefectConstant.PRIORITY.URGENT:
            return 1;
        case DefectConstant.PRIORITY.HIGH:
            return 2;
        case DefectConstant.PRIORITY.MEDIUM:
            return 3;
        case DefectConstant.PRIORITY.LOW:
            return 4;
        default:
            return 0;
    }
}
