import {SchedulePreset} from "kaneoh-data-types/types/commons/SchedulePreset";
import {TaskConstant} from "../constants/TaskConstant";

export const dateToCompare = (schedule: SchedulePreset, status: string): Date => {
    let date: Date = null;

    if (schedule) {
        if (status === TaskConstant.STATUS.PLANNED && schedule.startDate.projected) {
            date = schedule.startDate.projected;
        } else if (status === TaskConstant.STATUS.ON_GOING && schedule.endDate.projected) {
            date = schedule.endDate.projected;
        }
    }

    return date;
};
