import {ScheduleDate} from "kaneoh-data-types/types/commons/SchedulePreset";
import {ScheduleConstant} from "../constants/ScheduleConstant";

export function getDateTypeBySchedule(scheduleDate: ScheduleDate): string {
    if (scheduleDate && scheduleDate.actual) {
        return ScheduleConstant.ACTUAL;
    } else if (scheduleDate && scheduleDate.projected) {
        return ScheduleConstant.PROJECTED;
    } else {
        return ScheduleConstant.PLANNED;
    }
}
