import {ScheduleConstant} from "../constants/ScheduleConstant";
import {Status} from "../constants/Status";

export function getDurationTypeByStatus(status: string): string {
    switch (status) {
        case Status.DRAFT:
            return ScheduleConstant.PLANNED;
        case Status.PLANNED:
            return ScheduleConstant.PROJECTED;
        case Status.ON_GOING:
            ScheduleConstant.PROJECTED;
        case Status.COMPLETED:
            return ScheduleConstant.ACTUAL;
        default:
            return;
    }
}
