import {SchedulePreset} from "kaneoh-data-types/types/commons/SchedulePreset";
import {TaskConstant} from "../constants/TaskConstant";

export const referenceDate = (schedule: SchedulePreset, status: string): Date => {
    let date: Date = null;

    if (schedule) {
        if (status === TaskConstant.STATUS.PLANNED && schedule.startDate.planned) {
            date = schedule.startDate.planned;
        } else if (status === TaskConstant.STATUS.ON_GOING && schedule.endDate.planned) {
            date = schedule.endDate.planned;
        }
    }

    return date;
};
