import {ScheduleDate} from "kaneoh-data-types/types/commons/SchedulePreset";
import {getDateTypeBySchedule} from "./getDateTypeBySchedule";
import {getDateTypeByScheduleAndStatus} from "./getDateTypeByScheduleAndStatus";

export function scheduleDateType(scheduleDate: ScheduleDate, status?: string): string {
    if (status) {
        return getDateTypeByScheduleAndStatus(scheduleDate, status);
    } else {
        return getDateTypeBySchedule(scheduleDate);
    }
}
