import {scheduleDateType} from "./scheduleDateType";
import {ScheduleConstant} from "../constants/ScheduleConstant";
import {ScheduleDate} from "kaneoh-data-types/types/commons/SchedulePreset";

export function scheduleDateValue(scheduleDate: ScheduleDate): Date {
    const type = scheduleDateType(scheduleDate);

    switch (type) {
        case ScheduleConstant.ACTUAL:
            return scheduleDate.actual;
        case ScheduleConstant.PROJECTED:
            return scheduleDate.projected;
        case ScheduleConstant.PLANNED:
            return scheduleDate.planned;
        default:
            return null;
    }
}
