import {UserDto} from "kaneoh-data-types/types/dtos/UserDto";
import {UserRecord} from "kaneoh-data-types/types/records/UserRecord";
import * as _ from "underscore";

export function adminLevel(user: UserDto | UserRecord): number {
    if (user) {
        if (!_.isEmpty(user["profile"])) {
            return user["profile"].adminLevel;
        } else {
            return user["adminLevel"];
        }
    }
}
