import {UserRecord} from "kaneoh-data-types/types/records/UserRecord";

export function userShortName(user: UserRecord): string | null {

    if (user && user.profile) {
        const profile = user.profile;
        let name = "";
        if (profile.firstName && profile.firstName.length) {
            name += profile.firstName.charAt(0);
        }
        if (profile.lastName && profile.lastName.length) {
            name += profile.lastName.charAt(0);
        }
        return name;
    }
    return null;
}
